api/urls.py
from django.urls import path, include
from rest_framework import routers
from api import views

# Routers - provee una manera facil de redirigir a los endpoint
# metodos accecibles GET, POST, PUT, DELETE
router = routers.DefaultRouter()

# rutas de app clientes
router.register(r'localidades', views.LocalidadsViewSet)
router.register(r'clientes', views.ClienteViewSet)
router.register(r'instalaciones', views.InstalacionViewSet)
router.register(r'contadores', views.ContadorViewSet)
router.register(r'pagos', views.PagoViewSet)

# rutas de app equipos
router.register(r'modems', views.ModemViewSet)
router.register(r'emisoras', views.EmisoraViewSet)
router.register(r'antenas', views.AntenaViewSet)

# Wire up our API using automatic URL routing.
# Additionally, we include login URLs for the browsable API.
urlpatterns = [
    path('', include(router.urls)),
    # path('api-auth/', include('rest_framework.urls', namespace='rest_framework'))
]

app_clientes/urls.py
from django.urls import path
from .views import *

urlpatterns = [
    # crud de localidades
    path('localidades/', LocalidadView.as_view(), name='localidades_list'),
    path('localidades/new', LocalidadNew.as_view(), name='localidades_new'),
    path('localidades/edit/<int:pk>', LocalidadEdit.as_view(), name='localidades_edit'),
    path('localidades/delete/<int:pk>', LocalidadDelete.as_view(), name='localidades_delete'),
    
    # crud de clientes
    path('clientes/', ClienteView.as_view(), name='clientes_list'),
    path('clientes/new', ClienteNew.as_view(), name='clientes_new'),
    path('clientes/edit/<int:pk>', ClienteEdit.as_view(), name='clientes_edit'),
    path('clientes/delete/<int:pk>', ClienteDelete.as_view(), name='clientes_delete'),
    
    # agregar pago de un cliente
    path('clientes/agregar-pago/<int:id>', agregar_pago, name='agregar_pago'),
    
    # modems configurados de cada cliente
    path('clientes/modems_por_cliente/<int:id>', modems_por_cliente, name='modems_por_cliente'),       
    
    # antenas instaladas a un cliente
    path('clientes/antenas_por_cliente/<int:id>', antenas_por_cliente, name='antenas_por_cliente'),
    
    # historial de pagos de un cliente
    path('clientes/historial_de_pagos/<int:id>', pagos_por_cliente, name='pagos_por_cliente'),
    
    # detalles de instalación de un cliente
    path('clientes/detalles-instalacion/<int:id>', detalles_de_instalacion, name='detalles_de_instalacion'),
    
    # crud de cajeros
    path('cajeros/', ContadorView.as_view(), name='cajeros_list'),
    path('cajeros/new', ContadordNew.as_view(), name='cajeros_new'),
    path('cajeros/edit/<int:pk>', ContadorEdit.as_view(), name='cajeros_edit'),
    path('cajeros/delete/<int:pk>', ContadorDelete.as_view(), name='cajeros_delete'),    
    
    # crud de instalaciones
    path('instalaciones/', InstalacionView.as_view(), name='instalaciones_list'),
    path('instalaciones/new', InstalacionNew.as_view(), name='instalaciones_new'),
    path('instalaciones/edit/<int:pk>', InstalacionEdit.as_view(), name='instalaciones_edit'),
    path('instalaciones/delete/<int:pk>', InstalacionDelete.as_view(), name='instalaciones_delete'),
    
    # crud de pagos
    path('pagos/', PagosView.as_view(), name='pagos_list'),
    path('pagos/new', PagosnNew.as_view(), name='pagos_new'),
    path('pagos/edit/<int:pk>', PagosEdit.as_view(), name='pagos_edit'),
    path('pagos/delete/<int:pk>', PagosDelete.as_view(), name='pagos_delete'),
]

zanet/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from rest_framework.documentation import include_docs_urls
from django.conf.urls.static import static

urlpatterns = [
    path('', include(('bases.urls', 'bases'), namespace="bases")),
    path('', include(('app_clientes.urls', 'app_clientes'), namespace="app_clientes")),
    path('', include(('app_equipos.urls', 'app_equipos'), namespace="app_equipos")),
    path('', include(('app_perfiles.urls', 'app_perfiles'), namespace="app_perfiles")),
    path('', include(('app_publicidad.urls', 'app_publicidad'), namespace="app_publicidad")),
    path('admin/', admin.site.urls),
    path('api/v1/', include('api.urls')),
    path('docs/', include_docs_urls(title='API Documentación')),
]

urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

app_clientes/models.py
from django.db import models

# Create your models here.
class Localidad(models.Model):
    """ modelo localidad"""
    nombre = models.CharField(max_length=45)

    def __str__(self):
        """ Descripción del modelo localidad """
        return '{}'.format(self.nombre)        

    class Meta:
        """ nombre en plural(Muchos) del modelo"""
        verbose_name_plural = "Localidades"        


class Cliente(models.Model):
    """ modelo que representa un cliente"""
    nombres = models.CharField(max_length=45, null=False, blank=False)
    ap_paterno = models.CharField(max_length=45, null=False, blank=False)
    ap_materno = models.CharField(max_length=45, null=True, blank=True)
    fecha_de_pago = models.DateField(null=False, blank=False)

    ACT = 'ACTIVO'
    INA = 'INACTIVO'
    ESTATUS = [
        (ACT, 'ACTIVO'),
        (INA, 'INACTIVO')
    ]

    estatus = models.CharField(
        max_length=12,
        choices=ESTATUS,
        default=ACT
    )

    M = 'MASCULINO'
    F = 'FEMENINO'
    O = 'OTROS'
    GENERO = [
        (M, 'MASCULINO'),
        (F, 'FEMENINO'),
        (O, 'OTROS')
    ]
    genero = models.CharField(
        max_length=12,
        choices=GENERO,
        default=M
    )

    domicilio = models.CharField(max_length=100, null=True, blank=True)
    telefono = models.BigIntegerField(
        null=True,
        blank=True
    )
    correo = models.EmailField(null=True, blank=True)
    monto_a_pagar = models.IntegerField(null=True, blank=True)
    notas = models.CharField(max_length=100, null=True, blank=True)

    # relaciones
    # un cliente pertenece a una localidad
    localidad = models.ForeignKey(
        Localidad, on_delete=models.CASCADE, default="")
    # un cliente solicita 1 o varias instalaciones
    # instalacion = models.ForeignKey(Instalacion, on_delete=models.CASCADE)

    def __str__(self): 
        """ Descripción del modelo cliente """
        return '{} {} {}'.format(self.nombres, self.ap_paterno, self.ap_materno)

    # def save(self):
    #     """ el nombre del cliente lo guardamos en mayúsculas"""
    #     self.nombres = self.nombres.upper()
    #     if self.ap_paterno:  # si la cadena esta llena
    #         self.ap_paterno = self.ap_paterno.upper()

    #     if self.ap_materno:  # si la cadena esta llena
    #         self.ap_materno = self.ap_materno.upper()

    #     super(Cliente, self).save()

    class Meta:
        """ nombre en plural(Muchos) del modelo"""
        verbose_name_plural = "Clientes"


class Instalacion(models.Model):
    """ modelo que representa una instalación"""
    fecha = models.DateField(null=False, blank=False)
    
    # choice action
    INSTALACION = "INSTALACION"
    RECONEXION = "RECONEXION"
    ACCION = [
        (INSTALACION, "INSTALACION"),
        (RECONEXION, "RECONEXION")
    ]
    
    accion = models.CharField(
        max_length=20,
        choices=ACCION,
        default=INSTALACION
    )
    
    # choices
    PENDIENTE = 'PENDIENTE'
    FINALIZADA = 'FINALIZADA'
    ESTATUS = [
        (PENDIENTE, 'PENDIENTE'),
        (FINALIZADA, 'FINALIZADA')
    ]

    estatus = models.CharField(
        max_length=16,
        choices=ESTATUS,
        default=PENDIENTE
    )

    # choices
    CONTADO = 'AL CONTADO'
    ABONOS = 'EN ABONOS'
    FORMA_DE_PAGO = [
        (CONTADO, 'AL CONTADO'),
        (ABONOS, 'EN ABONOS')
    ]

    forma_de_pago = models.CharField(
        max_length=12,
        choices=FORMA_DE_PAGO,
        default=CONTADO
    )

    monto_recibido = models.IntegerField(null=True, blank=True)
    notas = models.CharField(max_length=250, blank=True, null=True)

    # llaves foráneas
    # un cliente solicita 1 o varias instalaciones
    cliente = models.ForeignKey(Cliente, on_delete=models.CASCADE, default="")

    def __str__(self):
        """ Descripción del modelo instalación """
        return 'Se realizo el: {} y fue {}'.format(self.fecha, self.forma_de_pago)

    class Meta:
        """ nombre en plural(Muchos) del modelo"""
        verbose_name_plural = "Instalaciones"


class Contador(models.Model):
    """ modelo que representa un contador"""
    nombres = models.CharField(max_length=45, null=False, blank=False)
    ap_paterno = models.CharField(max_length=45, null=False, blank=False)
    ap_materno = models.CharField(max_length=45, null=True, blank=True)

    M = 'MASCULINO'
    F = 'FEMENINO'
    O = 'OTROS'
    GENERO = [
        (M, 'MASCULINO'),
        (F, 'FEMENINO'),
        (O, 'OTROS')
    ]
    genero = models.CharField(
        max_length=12,
        choices=GENERO,
        default=M
    )

    domicilio = models.CharField(max_length=100, null=True, blank=True)
    telefono = models.BigIntegerField(
        null=True,
        blank=True
    )
    correo = models.EmailField(null=True, blank=True)
    notas = models.CharField(max_length=100, null=True, blank=True)

    # llaves foráneas
    # un cliente pertenece a una localidad
    localidad = models.ForeignKey(
        Localidad, on_delete=models.CASCADE, default="")

    def __str__(self):
        """ Descripción del modelo contador """
        return '{} {} {}'.format(self.nombres, self.ap_paterno, self.ap_materno)

    def save(self):
        """ el nombre del contador lo guardamos en mayúsculas"""
        self.nombres = self.nombres.upper()
        if self.ap_paterno:  # si la cadena esta llena
            self.ap_paterno = self.ap_paterno.upper()

        if self.ap_materno:  # si la cadena esta llena
            self.ap_materno = self.ap_materno.upper()

        super(Contador, self).save()

    class Meta:
        """ nombre en plural(Muchos) del modelo"""
        verbose_name_plural = "Contadores"


class Pago(models.Model):
    """ modelo que representa un pago realizado"""
    fecha_de_emision = models.DateTimeField(
        auto_now_add=True, blank=False, null=False)

    M = 'MENSUALIDAD'
    AI = 'ABONO DE INSTALACIÓN'
    AMBOS = 'MENSUALIDAD Y ABONO DE INSTALACIÓN'
    CONCEPTO = [
        (M, 'MENSUALIDAD'),
        (AI, 'ABONO DE INSTALACIÓN'),
        (AMBOS, 'MENSUALIDAD Y ABONO DE INSTALACIÓN'),
    ]
    concepto = models.CharField(
        max_length=250,
        choices=CONCEPTO,
        default=M
    )

    total = models.IntegerField(null=True, blank=True)
    notas = models.CharField(max_length=150, blank=True, null=True)

    # llaves foráneas
    # un cliente realiza 1 o muchos pagos
    cliente = models.ForeignKey(Cliente, on_delete=models.CASCADE)
    # un contador recibe 1 o muchos pagos
    contador = models.ForeignKey(Contador, on_delete=models.CASCADE)

    def __str__(self):
        """ Descripción del modelo pago """
        return 'Pago de: {}, Total: {}'.format(self.concepto, self.total)

    class Meta:
        """ nombre en plural(Muchos) del modelo"""
        verbose_name_plural = "Pagos"

app_clientes/forms.py
from django.contrib.admin.widgets import AutocompleteSelect
from django.contrib import admin
from django import forms
from django.core.exceptions import ValidationError
from .models import *

class LocalidadesForm(forms.ModelForm):
    """ form para Localidades"""
    # validaciones en el servidor
    nombre = forms.CharField(required=True)
    
    class Meta:
        model = Localidad        
        # campos que muestra el formulario
        fields = ("nombre",)
        labels = {"nombre": "Nombre"}        
        widget = {'nombre': forms.TextInput}

    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })
                                
class ClientesForm(forms.ModelForm): 
    """ form para clientes"""    
    
    class Meta:
        model = Cliente
        fields = '__all__'  
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            }) 
        
        # al select y/o combo box de localidades le agregamos un valor por defecto
        self.fields['localidad'].empty_label = 'Seleccione la localidad..'  
                
                
class ContadoresForm(forms.ModelForm): 
    """ form para cajeros"""    
    
    class Meta:
        model = Contador
        fields = '__all__'  
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            }) 
        
        # al select y/o combo box de localidades le agregamos un valor por defecto
        self.fields['localidad'].empty_label = 'Seleccione localidad..'  
        
class InstalacionesForm(forms.ModelForm):
    """ form de instalaciones"""
    
    class Meta:
        model = Instalacion
        fields = '__all__'  
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            }) 
        
        # al select y/o combo box de forma_de_pago le agregamos un valor por defecto        
        self.fields['cliente'].empty_label = 'Seleccione el cliente.' 
        
class PagosForm(forms.ModelForm):
    """ form de pagos"""
    
    class Meta:
        model = Pago
        fields = '__all__' 
        
    def __init__(self, *args, **kwargs):
        """ método que itera los campos del form y agrega la clase form-control de bootstrap a los input"""
        super().__init__(*args, **kwargs)
        for field in iter(self.fields):
            self.fields[field].widget.attrs.update({
                'class': 'form-control'
            })         
        
        # al select y/o combo box de forma_de_pago le agregamos un valor por defecto        
        self.fields['cliente'].empty_label = 'Seleccione el cliente..'  
        self.fields['contador'].empty_label = 'Seleccione el contador..'
         
        

               
        

        

app_clientes/templates/app_clientes/cajeros_form.html
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
<!-- Content Header (Page header) -->
<div class="content-header">
  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-10">
          <form method="post">
            {% csrf_token %}
            
            <!-- Input addon -->
            <!-- card -->
            <div class="card">
              
              {% if obj %}
                <div class="card-warning">
              {% else %}
                <div class="card-success">
              {% endif %}

              <div class="card-header">
                <h3 class="card-title text-uppercase">Cajeros</h3>
              </div>

              <!-- <img class="card-img-top p-4" src="{% static 'dist/img/localidad.svg' %}" style="height: 200px; width: 200px;" alt="Card image"> -->
              <!-- card-body -->
              <div class="card-body">                
                <!-- fila 1 -->
                <div class="row mt-2">
                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_nombres" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">{{ form.nombres.label }}: <i class="fa fa-asterisk badge-warning"></i></label>                      
                      {{ form.nombres }}                     
                    </div>
                  </div>

                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_ap_paterno" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">APELLIDO PATERNO: <i class="fa fa-asterisk badge-warning"></i></label>                      
                      {{ form.ap_paterno }}                      
                    </div>
                  </div>

                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_ap_materno" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">APELLIDO MATERNO:</label>                      
                      {{ form.ap_materno }}                      
                    </div>
                  </div>                
                </div>  
                
                  <!-- fila 2 -->
                  <div class="row mt-2">
                    <div class="col-4">
                      <div class="form-group">
                          <label for="id_localidad" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">Localidad: <i class="fa fa-asterisk badge-warning"></i></label>
                           {{ form.localidad }}                      
                      </div>
                     </div>
  
                    <div class="col-4">                    
                      <div class="form-group">
                          <label for="id_genero" class="text-sm text-uppercase text-black-50" style="font-family: Arial, Helvetica, sans-serif;">Genéro: <i class="fa fa-asterisk badge-warning"></i></label>
                           {{ form.genero }}                      
                      </div>
                    </div>
  
                    <div class="col-4">
                      <div class="form-group">
                        <label for="id_notas" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">Notas:</label>
                        {{form.notas }}
                        <!-- <input type="text" name="notas" id="id_notas" class="form-control" placeholder="Notas.."> -->
                      </div>
                    </div>
                  </div>

                <!-- fila 3 -->
                <div class="row mt-2">
                  <div class="col-4">
                    <label for="id_domicilio" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">Domicilio:</label>
                    
                    <div class="input-group mb-3">                      
                      <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fa fa-building"></i></span>
                      </div>
                      {{ form.domicilio }}                      
                    </div>
                  </div>

                  <div class="col-4">
                    <div class="form-group">
                      <label for="id_telefono" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">MX Teléfono:</label>                      
                      <div class="input-group">
                        <div class="input-group-prepend">
                          <span class="input-group-text"><i class="fas fa-phone"></i></span>
                        </div>
                        {{ form.telefono }}                        
                      </div>
                      <!-- /.input group -->
                    </div>
                    <!-- /.form group -->
                  </div>

                  <div class="col-4">
                    <label for="id_correo" class="text-sm text-uppercase font-weight-lighter" style="font-family: Arial, Helvetica, sans-serif;">Correo Electrónico:</label>                    
                    <div class="input-group mb-3">
                      
                      <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-envelope"></i></span>
                      </div>
                      {{ form.correo }}                     
                    </div>
                  </div>
                </div>

                <div class="dropdown-divider"></div>
                <div class="row">
                  <div class="col-2"></div>
                  <div class="col-4">
                    <button type="submit" class="btn btn-success btn-block"><i class="fa fa-save"></i><span>
                        Guardar</span></button>
                  </div>

                  <div class="col-4">
                    <a href="{% url 'app_clientes:cajeros_list' %}" class="btn btn-info btn-block">
                      <i class="fas fa-window-close"></i><span> Cancelar</span>
                    </a>
                  </div>
                  <div class="col-2"></div>
                </div>

              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card-header -->
          </div>
        </div>
        </div>
        <!-- /.card -->
        </form>
        <!-- ./form -->
      </div>
    </div>
</div>
</section>
<!-- /.container-fluid -->
</div>
<!-- /.content-header -->
{% endblock content %}

{% block js_page %}
<script>
  //Initialize Select2 Elements
  // carga del DOM
  $(function () {
    //Initialize Select2 Elements
    $('#id_localidad').select2()

    //Initialize Select2 Elements
    $('#id_localidad').select2({
      theme: 'bootstrap4'
    })   

  });
</script>
{% endblock js_page %}

  

app_clientes/templates/app_clientes/clientes_list.html
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Listado de clientes</h3>
                          <div class="d-flex justify-content-end">
                            <a href="{% url 'app_clientes:clientes_new' %}">
                              <button class="btn btn-secondary" style="font-size: 14px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; font-weight: 600;"><i class="fa fa-user-plus"></i><span> Agregar cliente</span>
                              </button>
                            </a>

                            <!-- <button type="submit" class="btn bg-secondary btn-app btn-sm"><i class="fa fa-user-plus"></i><span>
                              Guardar</span>
                            </button> -->
                          </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay clientes registrados</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <th>ID</th>
                                <th>NOMBRE</th>
                                <th>AP PATERNO</th>  
                                <!-- <th>AP MATERNO</th> -->
                                <th>FECHA DE PAGO</th>
                                <th>LOCALIDAD</th>
                                <th>ACCIONES</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}
                                  <!-- registros de clientes -->
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <td>{{ item.id }}</td>
                                      <td>{{ item.nombres }}</td>
                                      
                                      {% if item.ap_paterno %}
                                        <td>{{ item.ap_paterno }}</td>
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                        
                                      <!-- {% if item.ap_materno %}
                                        <td>{{ item.ap_materno }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %} -->
                                                                     
                                      <td>{{ item.fecha_de_pago }}</td>
                                      <td>{{ item.localidad }}</td>
                                      <td>
                                        <a href="{% url 'app_clientes:clientes_edit' item.id %}">
                                          <button class="btn bg-warning btn-sm" >
                                            <i class="fa fa-edit"></i>
                                          </button>
                                        </a>

                                        <a href="{% url 'app_clientes:clientes_delete' item.id %}">
                                          <button class="btn bg-danger btn-sm">
                                            <i class="fa fa-trash-alt"></i>
                                          </button>
                                        </a>

                                        <a href="{% url 'app_clientes:pagos_por_cliente' item.id %}">
                                          <button class="btn btn-info btn-sm" style="font-family: 'Poppins', sans-serif; font-size: small; font-weight: normal;">
                                            <i class="fa fa-list-alt"></i><span> Ver historial</span>
                                          </button>
                                        </a>
                                        
                                        <a href="{% url 'app_clientes:agregar_pago' item.id %}">
                                          <button class="btn-sm bg-success">
                                            <img src="{% static 'dist/img/pagar.png' %}" class="card-img-top" height="20px" width="40px" alt="img de pago">
                                          </button>                                          
                                        </a>

                                        <a href="{% url 'app_clientes:modems_por_cliente' item.id %}">
                                          <button class="btn-sm">
                                            <div>
                                              <img src="{% static 'dist/img/modem.svg' %}" class="card-img-top" height="20px" width="40px" alt="modem">
                                            </div>
                                          </button>                                          
                                        </a>
                                        
                                        <a href="{% url 'app_clientes:antenas_por_cliente' item.id %}">
                                          <button class="btn-sm">
                                            <div>
                                              <img src="{% static 'dist/img/antena.svg' %}" class="card-img-top" height="20px" width="40px" alt="antena">
                                            </div>
                                          </button>
                                        </a>

                                        <a href="{% url 'app_clientes:detalles_de_instalacion' item.id %}">
                                          <button class="btn-sm">
                                            <div>
                                              <img src="{% static 'dist/img/settings-antena.svg' %}" class="card-img-top" height="20px" width="40px" alt="emisora">
                                            </div>
                                          </button>
                                        </a>
                                        
                                      </td>                                                                      
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}

  

    
    